# Generated by Django 4.0 on 2022-10-12 09:35

import codex.models.codex
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
        ('codex', '0030_imageannotation_term'),
    ]

    operations = [
        migrations.CreateModel(
            name='Qualifier',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=256)),
            ],
            bases=(codex.models.codex.NamedMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AnnotationQuality',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('annotation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='quality', to='codex.parannotation')),
                ('qualifier', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='codex.qualifier')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='auth.user')),
            ],
        ),
    ]
